Loading...
Searching...
No Matches
L4::Ipc::In_out< T > Struct Template Reference

Mark an argument as in-out argument. More...

`#include <ipc_types>`

Collaboration diagram for L4::Ipc::In_out< T >:

## Detailed Description

template<typename T>
struct L4::Ipc::In_out< T >

Mark an argument as in-out argument.

Template Parameters

  T | The original argument type, usually a pointer or a reference.

In_out<> is used when an otherwise output-only value shall also be used as input value.

Definition at line 41 of file ipc_types.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_types